body{
    margin: 0;
    padding: 0;
}
a{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 180px;
    height: 60px;
    line-height: 60px;
    text-align: center;
    background: #206bff;
    color: #fff;
    font-size: 30px;
    text-transform: uppercase;
    text-decoration: none;
    font-family: sans-serif;
    letter-spacing: 4px;
    box-shadow: 0 5px 5px rgba(0, 0, 0, .2);
    border: 2px solid #206bff;
    transition: .5s;
}
a:hover{
    background: #fff;
    text-shadow: 0 5px 5px rgba(0, 0, 0, .5);
}
a:before,
a:after{
    content: '';
    position: absolute;
    width: 54%;
    height: 100%;
    background: #206bff;
    z-index: -1;
    opacity: 0;
}
a:hover:before{
    opacity: 1;
    top: 5px;
    left: -5px;
    box-shadow: 5px 2px 5px rgba(0, 0, 0, .2);
    animation: animate 2s linear infinite;
}
a:hover:after{
    opacity: 1;
    top: -5px;
    right: -5px;
    box-shadow: -5px 2px 5px rgba(0, 0, 0, .2);
    animation: animate 2s linear infinite;
    animation-delay: -1s;
}
@keyframes animate{
    0%{
        top: 5px;
    }
    50%{
        top:-5px;
    }
    100%{
        top:5px;
    }
}
